Skip Menu |
 

This queue is for tickets about the Mac-Growl CPAN distribution.

Report information
The Basics
Id: 51201
Status: open
Priority: 0/
Queue: Mac-Growl

People
Owner: Nobody in particular
Requestors: cornelius [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.67
Fixed in: (no value)



Subject: perl version 5.10.1 can't run /usr/bin/gluemac
Download (untitled) / with headers
text/plain 5.1k
Prepending /Users/c9s/.cpan/build/Config-IniFiles-2.52-mfyKte/blib/arch /Users/c9s/.cpan/build/Config-IniFiles-2.52-mfyKte/blib/lib to PERL5LIB for 'install' Installing /opt/local/lib/perl5/site_perl/5.10.1/Config/IniFiles.pm Installing /Users/c9s/local/man/man3/Config::IniFiles.3 Appending installation info to /opt/local/lib/perl5/5.10.1/darwin-thread-multi- 2level/perllocal.pod SHLOMIF/Config-IniFiles-2.52.tar.gz /usr/bin/make install -- OK Running install for module 'Mac::Growl' Running make for C/CN/CNANDOR/Mac-Growl-0.67.tar.gz Checksum for /Users/c9s/.cpan/sources/authors/id/C/CN/CNANDOR/Mac-Growl- 0.67.tar.gz ok Mac-Growl-0.67/ Mac-Growl-0.67/Changes Mac-Growl-0.67/lib/ Mac-Growl-0.67/lib/Mac/ Mac-Growl-0.67/lib/Mac/Glue/ Mac-Growl-0.67/lib/Mac/Glue/glues/ Mac-Growl-0.67/lib/Mac/Glue/glues/GrowlHelperApp Mac-Growl-0.67/lib/Mac/Glue/glues/GrowlHelperApp.pod Mac-Growl-0.67/lib/Mac/Growl.pm Mac-Growl-0.67/Makefile.PL Mac-Growl-0.67/MANIFEST Mac-Growl-0.67/README Mac-Growl-0.67/t/ Mac-Growl-0.67/t/Mac-Growl.t CPAN.pm: Going to build C/CN/CNANDOR/Mac-Growl-0.67.tar.gz Checking if your kit is complete... Looks good Writing Makefile for Mac::Growl cp lib/Mac/Growl.pm blib/lib/Mac/Growl.pm cp lib/Mac/Glue/glues/GrowlHelperApp blib/lib/Mac/Glue/glues/GrowlHelperApp cp lib/Mac/Glue/glues/GrowlHelperApp.pod blib/lib/Mac/Glue/glues/GrowlHelperApp.pod Manifying blib/man3/Mac::Growl.3 Manifying blib/man3/Mac::Glue::glues::GrowlHelperApp.3 perl version 5.10.1 can't run /usr/bin/gluemac. Try the alternative(s): /usr/bin/gluemac5.10.0 (uses perl 5.10.0) /usr/bin/gluemac5.8.9 (uses perl 5.8.9) Run "man perl" for more information about multiple version support in Mac OS X. make: *** [.makeglue] Error 255 CNANDOR/Mac-Growl-0.67.tar.gz /usr/bin/make -- NOT OK Running make test Can't test without successful make Running make install Make had returned bad status, install seems impossible Running make for /Users/c9s/git-working/github-growler/. Has already been unwrapped into directory /Users/c9s/git-working/github-growler/. my perl version: [Cornelius]$ perl -V Summary of my perl5 (revision 5 version 10 subversion 1) configuration: Platform: osname=darwin, osvers=10.0.0, archname=darwin-thread-multi-2level uname='darwin cornelius.local 10.0.0 darwin kernel version 10.0.0: fri jul 31 22:47:34 pdt 2009; root:xnu-1456.1.25~1release_i386 i386 ' config_args='-Dprefix=/opt/local -Dccflags=-I'/opt/local/include' -Dldflags=- L/opt/local/lib -Dvendorprefix=/opt/local -D cc= -D ld=' hint=recommended, useposix=true, d_sigaction=define useithreads=define, usemultiplicity=define useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef use64bitint=define, use64bitall=undef, uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='cc', ccflags ='-I/opt/local/include -fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -I/opt/local/include', optimize='-O3', cppflags='-no-cpp-precomp -I/opt/local/include -fno-common -DPERL_DARWIN -no- cpp-precomp -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include - I/opt/local/include' ccversion='', gccversion='4.2.1 (Apple Inc. build 5646)', gccosandvers='' intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16 ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags ='-L/opt/local/lib -fstack- protector -L/usr/local/lib' libpth=/usr/local/lib /opt/local/lib /usr/lib libs=-lgdbm -ldbm -ldl -lm -lutil -lc perllibs=-ldl -lm -lutil -lc libc=/usr/lib/libc.dylib, so=dylib, useshrplib=false, libperl=libperl.a gnulibc_version='' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' ' cccdlflags=' ', lddlflags='-L/opt/local/lib -bundle -undefined dynamic_lookup - L/usr/local/lib -fstack-protector' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES USE_PERLIO Built under darwin Compiled at Oct 27 2009 18:59:08 %ENV: PERL5LIB="/Users/c9s/svn_working/jifty-dbi/lib:/Users/c9s/svn_working/jifty/lib:" PERLLIB="" PERL_AUTOINSTALL="--alldeps" PERL_EXTUTILS_AUTOINSTALL="--alldeps" PERL_MM_MANIFEST_DEBUG="1" PERL_MM_MANIFEST_VERBOSE="1" PERL_MM_USE_DEFAULT="1" @INC: /Users/c9s/svn_working/jifty-dbi/lib /Users/c9s/svn_working/jifty/lib /opt/local/lib/perl5/5.10.1/darwin-thread-multi-2level /opt/local/lib/perl5/5.10.1 /opt/local/lib/perl5/site_perl/5.10.1/darwin-thread-multi-2level /opt/local/lib/perl5/site_perl/5.10.1 /opt/local/lib/perl5/site_perl/5.8.9 /opt/local/lib/perl5/site_perl /opt/local/lib/perl5/vendor_perl/5.10.1/darwin-thread-multi-2level /opt/local/lib/perl5/vendor_perl/5.10.1 /opt/local/lib/perl5/vendor_perl/5.8.9 /opt/local/lib/perl5/vendor_perl
Download (untitled) / with headers
text/plain 5.5k
btw, my platform is snow leopard. On Sun Nov 08 00:58:34 2009, CORNELIUS wrote: Show quoted text
> Prepending /Users/c9s/.cpan/build/Config-IniFiles-2.52- > mfyKte/blib/arch > /Users/c9s/.cpan/build/Config-IniFiles-2.52-mfyKte/blib/lib to > PERL5LIB for 'install' > Installing /opt/local/lib/perl5/site_perl/5.10.1/Config/IniFiles.pm > Installing /Users/c9s/local/man/man3/Config::IniFiles.3 > Appending installation info to /opt/local/lib/perl5/5.10.1/darwin- > thread-multi- > 2level/perllocal.pod > SHLOMIF/Config-IniFiles-2.52.tar.gz > /usr/bin/make install -- OK > Running install for module 'Mac::Growl' > Running make for C/CN/CNANDOR/Mac-Growl-0.67.tar.gz > Checksum for /Users/c9s/.cpan/sources/authors/id/C/CN/CNANDOR/Mac- > Growl- > 0.67.tar.gz ok > Mac-Growl-0.67/ > Mac-Growl-0.67/Changes > Mac-Growl-0.67/lib/ > Mac-Growl-0.67/lib/Mac/ > Mac-Growl-0.67/lib/Mac/Glue/ > Mac-Growl-0.67/lib/Mac/Glue/glues/ > Mac-Growl-0.67/lib/Mac/Glue/glues/GrowlHelperApp > Mac-Growl-0.67/lib/Mac/Glue/glues/GrowlHelperApp.pod > Mac-Growl-0.67/lib/Mac/Growl.pm > Mac-Growl-0.67/Makefile.PL > Mac-Growl-0.67/MANIFEST > Mac-Growl-0.67/README > Mac-Growl-0.67/t/ > Mac-Growl-0.67/t/Mac-Growl.t > > CPAN.pm: Going to build C/CN/CNANDOR/Mac-Growl-0.67.tar.gz > > Checking if your kit is complete... > Looks good > Writing Makefile for Mac::Growl > cp lib/Mac/Growl.pm blib/lib/Mac/Growl.pm > cp lib/Mac/Glue/glues/GrowlHelperApp > blib/lib/Mac/Glue/glues/GrowlHelperApp > cp lib/Mac/Glue/glues/GrowlHelperApp.pod > blib/lib/Mac/Glue/glues/GrowlHelperApp.pod > Manifying blib/man3/Mac::Growl.3 > Manifying blib/man3/Mac::Glue::glues::GrowlHelperApp.3 > perl version 5.10.1 can't run /usr/bin/gluemac. Try the > alternative(s): > > /usr/bin/gluemac5.10.0 (uses perl 5.10.0) > /usr/bin/gluemac5.8.9 (uses perl 5.8.9) > > Run "man perl" for more information about multiple version support in > Mac OS X. > make: *** [.makeglue] Error 255 > CNANDOR/Mac-Growl-0.67.tar.gz > /usr/bin/make -- NOT OK > Running make test > Can't test without successful make > Running make install > Make had returned bad status, install seems impossible > Running make for /Users/c9s/git-working/github-growler/. > Has already been unwrapped into directory /Users/c9s/git- > working/github-growler/. > > > > > my perl version: > > > > [Cornelius]$ perl -V > Summary of my perl5 (revision 5 version 10 subversion 1) > configuration: > > Platform: > osname=darwin, osvers=10.0.0, archname=darwin-thread-multi-2level > uname='darwin cornelius.local 10.0.0 darwin kernel version 10.0.0: > fri jul 31 22:47:34 pdt > 2009; root:xnu-1456.1.25~1release_i386 i386 ' > config_args='-Dprefix=/opt/local -Dccflags=-I'/opt/local/include' > -Dldflags=- > L/opt/local/lib -Dvendorprefix=/opt/local -D cc= -D ld=' > hint=recommended, useposix=true, d_sigaction=define > useithreads=define, usemultiplicity=define > useperlio=define, d_sfio=undef, uselargefiles=define, > usesocks=undef > use64bitint=define, use64bitall=undef, uselongdouble=undef > usemymalloc=n, bincompat5005=undef > Compiler: > cc='cc', ccflags ='-I/opt/local/include -fno-common -DPERL_DARWIN > -no-cpp-precomp > -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include > -I/opt/local/include', > optimize='-O3', > cppflags='-no-cpp-precomp -I/opt/local/include -fno-common > -DPERL_DARWIN -no- > cpp-precomp -fno-strict-aliasing -pipe -fstack-protector > -I/usr/local/include - > I/opt/local/include' > ccversion='', gccversion='4.2.1 (Apple Inc. build 5646)', > gccosandvers='' > intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678 > d_longlong=define, longlongsize=8, d_longdbl=define, > longdblsize=16 > ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', > lseeksize=8 > alignbytes=8, prototype=define > Linker and Libraries: > ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags ='- > L/opt/local/lib -fstack- > protector -L/usr/local/lib' > libpth=/usr/local/lib /opt/local/lib /usr/lib > libs=-lgdbm -ldbm -ldl -lm -lutil -lc > perllibs=-ldl -lm -lutil -lc > libc=/usr/lib/libc.dylib, so=dylib, useshrplib=false, > libperl=libperl.a > gnulibc_version='' > Dynamic Linking: > dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' ' > cccdlflags=' ', lddlflags='-L/opt/local/lib -bundle -undefined > dynamic_lookup - > L/usr/local/lib -fstack-protector' > > > Characteristics of this binary (from libperl): > Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV > PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP > USE_64_BIT_INT > USE_ITHREADS USE_LARGE_FILES USE_PERLIO > Built under darwin > Compiled at Oct 27 2009 18:59:08 > %ENV: > PERL5LIB="/Users/c9s/svn_working/jifty- > dbi/lib:/Users/c9s/svn_working/jifty/lib:" > PERLLIB="" > PERL_AUTOINSTALL="--alldeps" > PERL_EXTUTILS_AUTOINSTALL="--alldeps" > PERL_MM_MANIFEST_DEBUG="1" > PERL_MM_MANIFEST_VERBOSE="1" > PERL_MM_USE_DEFAULT="1" > @INC: > /Users/c9s/svn_working/jifty-dbi/lib > /Users/c9s/svn_working/jifty/lib > /opt/local/lib/perl5/5.10.1/darwin-thread-multi-2level > /opt/local/lib/perl5/5.10.1 > /opt/local/lib/perl5/site_perl/5.10.1/darwin-thread-multi-2level > /opt/local/lib/perl5/site_perl/5.10.1 > /opt/local/lib/perl5/site_perl/5.8.9 > /opt/local/lib/perl5/site_perl > /opt/local/lib/perl5/vendor_perl/5.10.1/darwin-thread-multi-2level > /opt/local/lib/perl5/vendor_perl/5.10.1 > /opt/local/lib/perl5/vendor_perl/5.8.9 > /opt/local/lib/perl5/vendor_perl


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.